// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import javax.xml.namespace.QName;

import com.sun.xml.rpc.encoding.CombinedSerializer;
import com.sun.xml.rpc.encoding.DeserializationException;
import com.sun.xml.rpc.encoding.Initializable;
import com.sun.xml.rpc.encoding.InternalTypeMappingRegistry;
import com.sun.xml.rpc.encoding.ObjectSerializerBase;
import com.sun.xml.rpc.encoding.SOAPDeserializationContext;
import com.sun.xml.rpc.encoding.SOAPDeserializationState;
import com.sun.xml.rpc.encoding.SOAPSerializationContext;
import com.sun.xml.rpc.streaming.XMLReader;
import com.sun.xml.rpc.streaming.XMLReaderUtil;
import com.sun.xml.rpc.streaming.XMLWriter;
import com.sun.xml.rpc.wsdl.document.schema.SchemaConstants;

public class Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer
		extends ObjectSerializerBase implements Initializable {
	private static final javax.xml.namespace.QName ns1_lemma_QNAME = new QName(
			"", "lemma");
	private static final javax.xml.namespace.QName ns2_string_TYPE_QNAME = SchemaConstants.QNAME_TYPE_STRING;
	private CombinedSerializer ns2_myns2_string__java_lang_String_String_Serializer;
	private static final int myLEMMA_INDEX = 0;

	public Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPSerializer(
			QName type, boolean encodeType, boolean isNullable,
			String encodingStyle) {
		super(type, encodeType, isNullable, encodingStyle);
	}

	@Override
	public void initialize(InternalTypeMappingRegistry registry)
			throws java.lang.Exception {
		ns2_myns2_string__java_lang_String_String_Serializer = (CombinedSerializer) registry
				.getSerializer(com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						java.lang.String.class, ns2_string_TYPE_QNAME);
	}

	@Override
	public java.lang.Object doDeserialize(SOAPDeserializationState state,
			XMLReader reader, SOAPDeserializationContext context)
			throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct instance = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct();
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPBuilder builder = null;
		java.lang.Object member;
		boolean isComplete = true;
		javax.xml.namespace.QName elementName;

		reader.nextElementContent();
		elementName = reader.getName();
		if (reader.getState() == XMLReader.START) {
			if (elementName.equals(ns1_lemma_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_lemma_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myLEMMA_INDEX, builder);
					isComplete = false;
				} else {
					instance.setLemma((java.lang.String) member);
				}
				reader.nextElementContent();
			} else {
				throw new DeserializationException(
						"soap.unexpectedElementName", new Object[] {
								ns1_lemma_QNAME, elementName });
			}
		}

		XMLReaderUtil.verifyReaderState(reader, XMLReader.END);
		return (isComplete ? (java.lang.Object) instance
				: (java.lang.Object) state);
	}

	@Override
	public void doSerializeAttributes(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct) obj;

	}

	@Override
	public void doSerializeInstance(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch2xml_RequestStruct) obj;

		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getLemma(), ns1_lemma_QNAME, null, writer, context);
	}
}
